Public Member Functions | Public Attributes | List of all members
clan::Vec2hf Class Reference
clanCore Math

2D half-float vector More...

`#include <half_float_vector.h>`

## Public Member Functions
| Vec2hf ()
| Vec2hf (const HalfFloat &scalar)
| Vec2hf (const Vec3hf &copy)
| Vec2hf (const Vec4hf &copy)
| Vec2hf (const HalfFloat &p1, const HalfFloat &p2)
| Vec2hf (const HalfFloat *array_xy)
| Vec2hf (float scalar)
| Vec2hf (const Vec3f &copy)
| Vec2hf (const Vec4f &copy)
| Vec2hf (float p1, float p2)
| Vec2hf (float *array_xy)
| Vec2hf (const Pointx< int > &point)
| Vec2hf (const Pointx< float > &point)
| Vec2hf (const Pointx< double > &point)
| Vec2hf (const Vec2hf &copy)
| Vec2hf (const Vec2d &copy)
| Vec2hf (const Vec2f &copy)
| Vec2hf (const Vec2i &copy)
| operator Vec2f () const
Vec2f | to_float () const

## Public Attributes
HalfFloat | x
HalfFloat | y

## Detailed Description

2D half-float vector

The documentation for this class was generated from the following file:

- half_float_vector.h